ru.bitel.bgbilling.kernel.script.server.bean

## Class ScriptBackupManager

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<ScriptBackup>
      - - ru.bitel.bgbilling.kernel.script.server.bean.ScriptBackupManager

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class ScriptBackupManager
      extends ru.bitel.common.dao.AbstractIdDao<ScriptBackup>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptBackupManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteBackups(int scriptId, int type)` Удаляем все бэкапы скрипта.
    `protected ScriptBackup` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<ScriptBackup>` | `list(int scriptId, int type)`
    `protected void` | `updateImpl(ScriptBackup b)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptBackupManager

          public ScriptBackupManager(java.sql.Connection con)

  - ### Method Detail

    - #### updateImpl

          protected void updateImpl(ScriptBackup b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ScriptBackup>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### list

          public java.util.List<ScriptBackup> list(int scriptId,
                                                   int type)
                                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteBackups

          public void deleteBackups(int scriptId,
                                    int type)
                             throws ru.bitel.bgbilling.common.BGException

      Удаляем все бэкапы скрипта.
      Parameters:
        `scriptId` - код скрипта.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected ScriptBackup getFromRS(java.sql.ResultSet rs)
                                    throws java.sql.SQLException,
                                           ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ScriptBackup>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`